# beginner i: using simple placeholders

## ✎ what are placeholders?

* placeholders are variables that you can put in your response in order for mimu to replace with context.&#x20;
* an example would be mentioning the user who sent the message using `{user}`. this allows you to personalize the response.

![creating our autoresponder to mention the user who ran the command](/files/d0AlJlWZbUWJnh56Z5hL)

![what mimu replies with!](/files/tXGNM3yzLafUIqumDygX)

## ✎ using multiple placeholders

* using multiple placeholders work exactly the same way as how you'd expect.
* let's make an autoresponder called .userinfo that responds with users' information!
* this is the command i typed:

`/autoresponder add trigger:.userinfo reply:hi {user}! this is your info!` \
`user tag: {user_tag}` \
`username: {user_name}` \
`discrim: {user_discrim}` \
`id: {user_id}` \
`nick: {user_nick}` \
`joined server on: {user_joindate}` \
`joined discord on: {user_createdate}` \
`your color in this server is {user_displaycolor}` \
`you've boosted since: {user_boostsince}` \
`you have {user_balance} {server_currency}!`

![and voila! we've got it!](/files/-MWSSSVSWJARTO_lwyY_)

{% hint style="info" %}
there are a lot of variables! check out the [variable placeholder list](/autoresponder/resources/variables-placeholders-and-functions.md#placeholder-list) for a full list of placeholders and functions!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mimu.bot/autoresponder/guide/using-simple-placeholders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
